@modernstyle
Code GOD

Проблема с установкой Ruby через RVM?

Друзья, я порядочно полазил по гуглу, прежде чем спрашивать здесь. :( Черт дернул снести рабочий RVM по причине невозможности установки 2.0. Теперь не могу установить вообще ничего. Помогите пожалуйста


Дано Mac OS X

RVM 1.20.10 stable

Homebrew 0.9.4


Команда rvm install 2.0.0-p0 выдает


Searching for binary rubies, this might take some time.

No binary rubies available for: osx/10.8/x86_64/ruby-2.0.0-p0.

Continuing with compilation. Please read 'rvm mount' to get more information on binary rubies.

Installing requirements for osx, might require sudo password.

Already up-to-date.

Installing required packages: autoconf, automake, libtool, pkg-config, libyaml, readline, libxml2, libxslt, libksba, openssl…
Error running 'requirements_osx_brew_libs_install autoconf automake libtool pkg-config libyaml readline libxml2 libxslt libksba openssl',

please read /Users/admin/.rvm/log/ruby-2.0.0-p0/1368903329_package_install_autoconf_automake_libtool_pkg-config_libyaml_readline_libxml2_libxslt_libksba_openssl.log


Кто виноват? Что делать?
  • Вопрос задан
  • 4557 просмотров
Решения вопроса 1
@modernstyle Автор вопроса
Code GOD
Вобщем проблема была достаточно комплексная

Сперва с помощью chown пришлось переделать все пермишены — есть мнение, что во время экспериментов с node они все сбились
Затем ручная установка brew
Затем rvm install 2.0.0-p0 --autolibs=enabled

Всем спасибо :)
Ответ написан
Комментировать
Пригласить эксперта
Ответы на вопрос 6
int03e
@int03e
А если вручную через brew установить все нужные пакеты?
Ответ написан
Комментировать
SeTeM
@SeTeM
Возможно, пришло время перейти на rbenv:
github.com/sstephenson/rbenv/
Ответ написан
Комментировать
Stick
@Stick
Как уже писалиi nt03e и Zelgadis — попробуйте установить руками. Копируйте в терминал:

brew install autoconf
brew install automake
brew install libtool
brew install pkg-config
brew install libyaml
brew install readline
brew install libxml2
brew install libxslt
brew install libksba
brew install openssl


Затем снова sudo rvm install 2.0.0, и все будет :)
Ответ написан
Комментировать
Zelgadis
@Zelgadis
Как уже говорили выше: попробуйте руками установить эти пакеты.
Потом попробуйте brew doctor

У меня тоже окружение и все нормально устанавилось.

UPD.

Вы же не забываете делать brew cleanup?
Ответ написан
@Xkeeper
Подозреваю что нужно сделать brew reinstall autoconf
Ответ написан
MpaK999
@MpaK999
Буду!
Тоже была такая проблема, нужно включить autolibs, это у вас в файле /Users/admin/.rvm/log/ruby-2.0.0-p0/1368903329_package_install_autoconf_automake_libtool_pkg-config_libyaml_readline_libxml2_libxslt_libksba_openssl.log точно написано.

В общем так на текущую последнюю версию ruby 2

rvm install 2.0.0-p195 --autolibs=enabled
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы